com.intellectualcrafters.plot.events

## Class PlotClearEvent

- java.lang.Object
- - org.bukkit.event.Event
  - - com.intellectualcrafters.plot.events.PlotClearEvent

- All Implemented Interfaces:
    org.bukkit.event.Cancellable

      public class PlotClearEvent
      extends org.bukkit.event.Event
      implements org.bukkit.event.Cancellable

  Called when a plot is cleared

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.bukkit.event.Event

      `org.bukkit.event.Event.Result`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PlotClearEvent(java.lang.String world, PlotId id)` PlotDeleteEvent: Called when a plot is cleared

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static org.bukkit.event.HandlerList` | `getHandlerList()`
    `org.bukkit.event.HandlerList` | `getHandlers()`
    `PlotId` | `getPlotId()` Get the PlotId
    `java.lang.String` | `getWorld()` Get the world name
    `boolean` | `isCancelled()`
    `void` | `setCancelled(boolean b)`

    - ### Methods inherited from class org.bukkit.event.Event

      `getEventName, isAsynchronous`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PlotClearEvent

          public PlotClearEvent(java.lang.String world,
                        PlotId id)

      PlotDeleteEvent: Called when a plot is cleared
      Parameters:
        `world` -
        `id` -

  - ### Method Detail

    - #### getHandlerList

          public static org.bukkit.event.HandlerList getHandlerList()

    - #### getPlotId

          public PlotId getPlotId()

      Get the PlotId
      Returns:
        PlotId

    - #### getWorld

          public java.lang.String getWorld()

      Get the world name
      Returns:
        String

    - #### getHandlers

          public org.bukkit.event.HandlerList getHandlers()

      Specified by:
        `getHandlers` in class `org.bukkit.event.Event`

    - #### isCancelled

          public boolean isCancelled()

      Specified by:
        `isCancelled` in interface `org.bukkit.event.Cancellable`

    - #### setCancelled

          public void setCancelled(boolean b)

      Specified by:
        `setCancelled` in interface `org.bukkit.event.Cancellable`